Last Comment Bug 684302 - Quick Filter Read Icon Different From Read Column Icon
: Quick Filter Read Icon Different From Read Column Icon
Status: RESOLVED FIXED
: polish
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: x86_64 Windows 7
: -- trivial (vote)
: Thunderbird 15.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-02 11:28 PDT by Jeff Grossman
Modified: 2012-05-14 15:36 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
read icon.png (16.67 KB, image/png)
2011-09-02 11:28 PDT, Jeff Grossman
no flags Details
qfb Unread Icon on WinXP / TB12 (7.18 KB, image/png)
2012-05-05 01:59 PDT, Thomas D. (currently busy elsewhere; needinfo?me)
no flags Details
patch (2.66 KB, patch)
2012-05-05 04:21 PDT, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review-
Details | Diff | Splinter Review
patch in action (3.11 KB, image/png)
2012-05-05 04:21 PDT, Richard Marti (:Paenglab)
no flags Details
patch v2 (5.67 KB, patch)
2012-05-08 12:28 PDT, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review

Description Jeff Grossman 2011-09-02 11:28:16 PDT
Created attachment 557892 [details]
read icon.png

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:9.0a1) Gecko/20110901 Firefox/9.0a1
Build ID: 20110901030807

Steps to reproduce:

The read icon on the quick filter bar and the read icon on the column heading are not the same.



Expected results:

The two icons should be the same.
Comment 1 [:Aureliano Buendía] 2011-09-03 02:02:21 PDT
I suppose that this is for better usability in quickfilter toolbar
Comment 2 Thomas D. (currently busy elsewhere; needinfo?me) 2012-05-05 01:59:31 PDT
Created attachment 621266 [details]
qfb Unread Icon on WinXP / TB12

Actual:

Trivial, but suppose yes. Having two variants of the Unread glasses icon so close to each other (qfb icon vs. msg list column header)looks a bit odd.

On WinXP theme, things are worse: qfb Unread icon is just a small dot (no glasses), which is not easy to understand (see attached screenshot):
- it is the "read" dot (grey and small), not even the "unread" dot (green & bigger)
- the same small grey dot is also in msg list in the spam column for msgs currently not marked as spam

Expected:

Really, for the "Unread" filter button icon on qfb, the glasses would be much more useful/recognizable.
Comment 3 Richard Marti (:Paenglab) 2012-05-05 04:21:09 PDT
Created attachment 621273 [details] [diff] [review]
patch

Revived the readcol.png icon for the Quick Filter Read button.
Also added a min-width to make the buttons in icon only mode the same width. Removed also the icons's margin-end to show them centered in icon only mode. Added margin-start on button-text to still have a gap to the icons.
Comment 4 Richard Marti (:Paenglab) 2012-05-05 04:21:52 PDT
Created attachment 621274 [details]
patch in action
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-05-08 08:15:53 PDT
Comment on attachment 621273 [details] [diff] [review]
patch

So, the changes to the code seem fine, so I'll say r=me, but...

The quickfilter icon still doesn't match the message column icon, so I'm going to say ui-r-.

I think we should make the column header and the QFB both use the filled-in glasses.  (I also see very different quick filter icons than your screenshot shows.  Do you have any personas applied, or anything else that might explain the differences?  I can take a screenshot if you think it'll help.)

Thanks,
Blake.
Comment 6 Richard Marti (:Paenglab) 2012-05-08 09:07:56 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #5)
> Comment on attachment 621273 [details] [diff] [review]
> 
> The quickfilter icon still doesn't match the message column icon, so I'm
> going to say ui-r-.

The message column icon is a svg to take and match the tree header text color. If we take again the png icon back to the header, we have this color differences again.

> I think we should make the column header and the QFB both use the filled-in
> glasses.  (I also see very different quick filter icons than your screenshot
> shows.  Do you have any personas applied, or anything else that might
> explain the differences?  I can take a screenshot if you think it'll help.)

The patch is only for XP and you are probably testing on Win7. That would explain the difference.

I propose to leave Win7 as it is and add the glasses to XP with this patch (and change the bug to XP). Then we have XP the same like on Linux with the png glasses and the svg column icon.
Comment 7 Richard Marti (:Paenglab) 2012-05-08 12:28:20 PDT
Created attachment 622085 [details] [diff] [review]
patch v2

Same patch as before but with col header read icon with 50% opacity filled glasses for Windows and Linux.
Comment 8 Richard Marti (:Paenglab) 2012-05-08 12:31:12 PDT
Oops, comment should have be: Same patch as before but *added* col header read icon with 50% opacity filled glasses for Windows and Linux.
Comment 9 Blake Winton (:bwinton) (:☕️) 2012-05-11 09:49:17 PDT
Comment on attachment 622085 [details] [diff] [review]
patch v2

Okay, I finally got my Windows XP box up and compiling, and I like it.

ui-r=me, and we can carry forward the r=me from the previous patch.

Thanks, and I apologize for taking so long on this patch.
Blake.
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-05-14 15:36:07 PDT
https://hg.mozilla.org/comm-central/rev/674f21bd3a1d

Note You need to log in before you can comment on or make changes to this bug.